---
roles_001:
  name: Manager
  id: 1
  builtin: 0
  issues_visibility: all
  users_visibility: all
  permissions: |
    ---
    - :add_project
    - :edit_project
    - :close_project
    - :delete_project
    - :select_project_modules
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :copy_issues
    - :manage_issue_relations
    - :manage_subtasks
    - :add_issue_notes
    - :delete_issues
    - :view_issue_watchers
    - :add_issue_watchers
    - :set_issues_private
    - :set_notes_private
    - :view_private_notes
    - :delete_issue_watchers
    - :manage_public_queries
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :edit_time_entries
    - :delete_time_entries
    - :import_time_entries
    - :view_news
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :export_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages_attachments
    - :protect_wiki_pages
    - :delete_wiki_pages
    - :rename_wiki_pages
    - :view_wiki_page_watchers
    - :add_wiki_page_watchers
    - :delete_wiki_page_watchers
    - :manage_wiki
    - :view_messages
    - :add_messages
    - :edit_messages
    - :delete_messages
    - :view_message_watchers
    - :add_message_watchers
    - :delete_message_watchers
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :manage_repository
    - :view_changesets
    - :manage_related_issues
    - :manage_project_activities
    - :import_issues

  position: 1
roles_002:
  name: Developer
  id: 2
  builtin: 0
  issues_visibility: default
  users_visibility: all
  permissions: |
    ---
    - :edit_project
    - :delete_project
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :copy_issues
    - :manage_issue_relations
    - :manage_subtasks
    - :add_issue_notes
    - :delete_issues
    - :view_issue_watchers
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :edit_own_time_entries
    - :view_news
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :protect_wiki_pages
    - :delete_wiki_pages
    - :view_wiki_page_watchers
    - :view_messages
    - :add_messages
    - :edit_own_messages
    - :delete_own_messages
    - :view_message_watchers
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 2
roles_003:
  name: Reporter
  id: 3
  builtin: 0
  issues_visibility: default
  users_visibility: all
  permissions: |
    ---
    - :edit_project
    - :manage_members
    - :manage_versions
    - :manage_categories
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :add_issue_notes
    - :view_issue_watchers
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :view_news
    - :manage_news
    - :comment_news
    - :view_documents
    - :add_documents
    - :edit_documents
    - :delete_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :delete_wiki_pages
    - :view_wiki_page_watchers
    - :view_messages
    - :add_messages
    - :view_message_watchers
    - :manage_boards
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 3
roles_004:
  name: Non member
  id: 4
  builtin: 1
  issues_visibility: default
  users_visibility: all
  permissions: |
    ---
    - :view_issues
    - :add_issues
    - :edit_issues
    - :manage_issue_relations
    - :add_issue_notes
    - :save_queries
    - :view_gantt
    - :view_calendar
    - :log_time
    - :view_time_entries
    - :view_news
    - :comment_news
    - :view_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :edit_wiki_pages
    - :view_messages
    - :add_messages
    - :view_files
    - :manage_files
    - :browse_repository
    - :view_changesets

  position: 1
roles_005:
  name: Anonymous
  id: 5
  builtin: 2
  issues_visibility: default
  users_visibility: all
  permissions: |
    ---
    - :view_issues
    - :add_issue_notes
    - :view_gantt
    - :view_calendar
    - :view_time_entries
    - :view_news
    - :view_documents
    - :view_wiki_pages
    - :view_wiki_edits
    - :view_messages
    - :view_files
    - :browse_repository
    - :view_changesets

  position: 1
